### Name: mask2input
### Title: Create an Input/Output file for time series.
### Aliases: mask2input
### Keywords: ts

### ** Examples

# Example on an AR(1) process
ts.sim  <- arima.sim(500, model=list(ar=0.9), sd=sqrt(1))
mask <- c(1)
ts.sim.io <- mask2input(mask, as.matrix(ts.sim))        

# Example on an AR(2) process
ts.sim  <- arima.sim(500, model=list(ar=c(0.9, -0.8)), sd=sqrt(1))
mask <- c(1,1)
ts.sim.io <- mask2input(mask, as.matrix(ts.sim))

# Example on an AR(3) process
X       <- arima.sim(500, model=list(ar=c(-0.2, 0.3, -0.2)), sd=sqrt(1))
mask <- c(0,1,1)        # Leave out X_{t-1}
X.io <- mask2input(mask, as.matrix(X)) # Write a data.frame with {(X_{t-2}, X_{t-3}), X_t}



